Fix for problems installing UcmaRedist.msi on Windows Server 2008 or R2

Friday, September 24, 2010

You may have problems installing UcmaRedist.msi (the Microsoft Office Communications Server 2007 R2, Microsoft Unified Communications Managed API 2.0 Core Redist 64-bit) on Windows Server 2008 or 2008 R2.  I ran across this myself when installing the Microsoft Office Communications 2007 R2 Web Service Provider for Lync Server 2010.

You receive the following error:
Microsoft Office Communications Server 2007 R2, Microsoft Unified Communications Managed API 2.0 Core Redist 64-bit installation requires Microsoft .NET Framework 3.5. Installation can not continue.
This happens if you have the .NET Framework 4.0 installed.  Uninstall the Microsoft .NET Framework 4 Extended and then the Microsoft .NET Framework 4 Client Profile components from Control Panel > Programs and Features.  Then restart the server and install UcmaRedist.msi.

4 comments:

  1. Tetsutaro WatanabeOctober 19, 2010 at 2:07 AM

    I faced the same problem, too. Thanks to you, it was settled.

    ReplyDelete
  2. Thanks Jeff...this worked for me too!

    ReplyDelete
  3. I actually had this same issue, but it was caused by a previous version of this runtime being installed, I removed the previous version and then re-attempted with success.

    ReplyDelete
  4. Problem is that you cannot uninstall it unless you demote your domain controller !! Any fix ?

    ReplyDelete

Thank you for your comment! It is my hope that you find the information here useful. Let others know if this post helped you out, or if you have a comment or further information.